#pragma once

#include "../ISO7816-card.h"

typedef uint8_t application_id_t[5];

struct application_t{
	application_id_t aid;
	void (*init)(void);
	apdu_handler_t (*select)(void);
	void (*deselect)(void);
} typedef application_t;


/* ****** Place application defined here ****** */

#include "portal/portal.h"
#define NUM_APPLICATIONS 1
#define APPLICATIONS {APP_PORTAL}

void portal_init(void);
apdu_handler_t portal_select(void);
void portal_deselect(void);

