#include <avr/wdt.h>
#include <stdlib.h>
#include <avr/eeprom.h>

#include "door.h"
#include "power_monitor.h"
#include "readline.h"
#include "keystore.h"
#include "random.h"

#define NUM_USERS 3
#define SHELL_EEPROM_SPACE (32*NUM_USERS)

void shell_init(void);
void shell_tick(void);
void shell_show_welcome_prompt(void);
void shell_process(void);